/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.farmalarmnumber.controller;

import com.huimv.modular.farmalarmnumber.param.FarmAlarmNumberParam;
import com.huimv.modular.farmalarmnumber.service.FarmAlarmNumberService;
import com.huimv.modular.pojo.response.ResponseData;
import com.huimv.modular.pojo.response.SuccessResponseData;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import javax.annotation.Resource;
import java.util.List;

/**
 * alarm_number控制器
 *
 * @author yangdi
 * @date 2021-08-23 15:12:46
 */
@RestController
public class FarmAlarmNumberController {

    @Resource
    private FarmAlarmNumberService farmAlarmNumberService;

    /**
     * 查询alarm_number
     *
     * @author yangdi
     * @date 2021-08-23 15:12:46
     */
  //
    @GetMapping("/farmAlarmNumber/page")
  //  @BusinessLog(title = "alarm_number_查询", opType = LogAnnotionOpTypeEnum.QUERY)
    public ResponseData page(FarmAlarmNumberParam farmAlarmNumberParam) {
        return new SuccessResponseData(farmAlarmNumberService.page(farmAlarmNumberParam));
    }

    /**
     * 添加alarm_number
     *
     * @author yangdi
     * @date 2021-08-23 15:12:46
     */
   //
    @PostMapping("/farmAlarmNumber/add")
  //  @BusinessLog(title = "alarm_number_增加", opType = LogAnnotionOpTypeEnum.ADD)
    public ResponseData add(@RequestBody @Validated(FarmAlarmNumberParam.add.class) FarmAlarmNumberParam farmAlarmNumberParam) {
            farmAlarmNumberService.add(farmAlarmNumberParam);
        return new SuccessResponseData();
    }

    /**
     * 删除alarm_number，可批量删除
     *
     * @author yangdi
     * @date 2021-08-23 15:12:46
     */
  //
    @PostMapping("/farmAlarmNumber/delete")
 //   @BusinessLog(title = "alarm_number_删除", opType = LogAnnotionOpTypeEnum.DELETE)
    public ResponseData delete(@RequestBody @Validated(FarmAlarmNumberParam.delete.class) List<FarmAlarmNumberParam> farmAlarmNumberParamList) {
            farmAlarmNumberService.delete(farmAlarmNumberParamList);
        return new SuccessResponseData();
    }

    /**
     * 编辑alarm_number
     *
     * @author yangdi
     * @date 2021-08-23 15:12:46
     */
   //
    @PostMapping("/farmAlarmNumber/edit")
   // @BusinessLog(title = "alarm_number_编辑", opType = LogAnnotionOpTypeEnum.EDIT)
    public ResponseData edit(@RequestBody @Validated(FarmAlarmNumberParam.edit.class) FarmAlarmNumberParam farmAlarmNumberParam) {
            farmAlarmNumberService.edit(farmAlarmNumberParam);
        return new SuccessResponseData();
    }

    /**
     * 查看alarm_number
     *
     * @author yangdi
     * @date 2021-08-23 15:12:46
     */
   //
    @GetMapping("/farmAlarmNumber/detail")
   // @BusinessLog(title = "alarm_number_查看", opType = LogAnnotionOpTypeEnum.DETAIL)
    public ResponseData detail(@Validated(FarmAlarmNumberParam.detail.class) FarmAlarmNumberParam farmAlarmNumberParam) {
        return new SuccessResponseData(farmAlarmNumberService.detail(farmAlarmNumberParam));
    }

    /**
     * alarm_number列表
     *
     * @author yangdi
     * @date 2021-08-23 15:12:46
     */
   //
    @GetMapping("/farmAlarmNumber/list")
  //  @BusinessLog(title = "alarm_number_列表", opType = LogAnnotionOpTypeEnum.QUERY)
    public ResponseData list(FarmAlarmNumberParam farmAlarmNumberParam) {
        return new SuccessResponseData(farmAlarmNumberService.list(farmAlarmNumberParam));
    }

    /**
     * 导出系统用户
     *
     * @author yangdi
     * @date 2021-08-23 15:12:46
     */
  //
    @GetMapping("/farmAlarmNumber/export")
  //  @BusinessLog(title = "alarm_number_导出", opType = LogAnnotionOpTypeEnum.EXPORT)
    public void export(FarmAlarmNumberParam farmAlarmNumberParam) {
        farmAlarmNumberService.export(farmAlarmNumberParam);
    }

}
