/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.farmalarmnumber.param;


import com.huimv.modular.pojo.base.param.BaseParam;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
* alarm_number参数类
 *
 * @author yangdi
 * @date 2021-08-23 15:12:46
*/
@Data
public class FarmAlarmNumberParam extends BaseParam {

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查id参数", groups = {edit.class, delete.class, detail.class})
    private Integer id;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查farmCode参数", groups = {add.class, edit.class})
    private String farmCode;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查farmName参数", groups = {add.class, edit.class})
    private String farmName;

    /**
     * 组织ID
     */
    @NotNull(message = "组织ID不能为空，请检查orgid参数", groups = {add.class, edit.class})
    private Long orgid;

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查earHightemp参数", groups = {add.class, edit.class})
    private Integer earHightemp;

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查earLowtemp参数", groups = {add.class, edit.class})
    private Integer earLowtemp;

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查envHightemp参数", groups = {add.class, edit.class})
    private Integer envHightemp;

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查envLowtemp参数", groups = {add.class, edit.class})
    private Integer envLowtemp;

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查daviceAlarm参数", groups = {add.class, edit.class})
    private Integer daviceAlarm;

    /**
     * 
     */
    @NotNull(message = "不能为空，请检查diseaseAlarm参数", groups = {add.class, edit.class})
    private Integer diseaseAlarm;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查remark参数", groups = {add.class, edit.class})
    private String remark;

    /**
     * 
     */
    @NotBlank(message = "不能为空，请检查remark1参数", groups = {add.class, edit.class})
    private String remark1;

}
