/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.stockout.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.core.pojo.page.PageResult;
import com.huimv.modular.stockout.entity.StockOut;
import com.huimv.modular.stockout.param.StockOutParam;
import java.util.List;

/**
 * 累计出栏service接口
 *
 * @author y
 * @date 2021-08-21 14:28:14
 */
public interface StockOutService extends IService<StockOut> {

    /**
     * 查询累计出栏
     *
     * @author y
     * @date 2021-08-21 14:28:14
     */
    PageResult<StockOut> page(StockOutParam stockOutParam);

    /**
     * 累计出栏列表
     *
     * @author y
     * @date 2021-08-21 14:28:14
     */
    List<StockOut> list(StockOutParam stockOutParam);

    /**
     * 添加累计出栏
     *
     * @author y
     * @date 2021-08-21 14:28:14
     */
    void add(StockOutParam stockOutParam);

    /**
     * 删除累计出栏
     *
     * @author y
     * @date 2021-08-21 14:28:14
     */
    void delete(List<StockOutParam> stockOutParamList);

    /**
     * 编辑累计出栏
     *
     * @author y
     * @date 2021-08-21 14:28:14
     */
    void edit(StockOutParam stockOutParam);

    /**
     * 查看累计出栏
     *
     * @author y
     * @date 2021-08-21 14:28:14
     */
     StockOut detail(StockOutParam stockOutParam);

    /**
     * 导出累计出栏
     *
     * @author y
     * @date 2021-08-21 14:28:14
     */
     void export(StockOutParam stockOutParam);

}
