package com.huimv.modular.timer.tasks;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.huimv.modular.collectorregister.entity.CollectorRegister;
import com.huimv.modular.collectorregister.mapper.CollectorRegisterMapper;
import com.huimv.modular.collectorregister.service.CollectorRegisterService;
import com.huimv.modular.heartbeatrecord.entity.HeartBeatRecord;
import com.huimv.modular.heartbeatrecord.mapper.HeartBeatRecordMapper;
import com.huimv.modular.timer.ImportanteConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author Anchor
 * @Date 2021/8/14 15:10
 * @Version 1.0.1
 */
@Slf4j
@Component
public class CheckDeviceUnable {

    @Autowired
    private CollectorRegisterService collectorRegisterService;

    @Autowired
    private HeartBeatRecordMapper heartBeatRecordMapper ;

    @Autowired
    private CollectorRegisterMapper collectorRegisterMapper  ;




//     @Scheduled(cron = "0/10 * * * * ?")                 // 查找最近15分钟（稍微大于最大上传时间）---之前15-30分钟  用for 循环第一个，，用Map
    private void checkUnadleDevice() throws   ParseException {
        //实现方法--找出时间段内上传数据的基站，如果与上一条的数据时间超过设定时间，就报警
/*
        Date now1 = new Date();
        Date now_10 = new Date(now1.getTime() - 600000); //10分钟前的时间
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");//可以方便地修改日期格式
      */
        Date  now = new Date();//end
        Date  GapTimeBefor_gap =  new Date(now.getTime() - ImportanteConfig.CHECK_DEVICE_UNABLE_GAP_TIME);//start
        //上面的是一个时间间隔
        Date  Tow_GapTimeBefor_gap =  new Date(GapTimeBefor_gap.getTime() - ImportanteConfig.CHECK_DEVICE_UNABLE_GAP_TIME);

            LambdaQueryWrapper<HeartBeatRecord> wrapper = new LambdaQueryWrapper();
            wrapper.between(HeartBeatRecord::getCreateTime,GapTimeBefor_gap, now).groupBy(HeartBeatRecord::getDeviceCode);
            List<HeartBeatRecord> heartBeatRecordEntities = heartBeatRecordMapper.selectList(wrapper);

        //找上一条上传数据的时间来处理这个问题比较好
         //lambdaQuery.between(EartagDataEntity::getTime,startTime, endTime);

           List<String>    devicecodenow = new ArrayList<>();
            List<String>    devicecodeold = new ArrayList<>();

        for (HeartBeatRecord HeartBeatRecord : heartBeatRecordEntities) {
            devicecodenow.add(HeartBeatRecord.getDeviceCode());
        }

        LambdaQueryWrapper<HeartBeatRecord> wrapper1 = new LambdaQueryWrapper();
        wrapper1.between(HeartBeatRecord::getCreateTime,Tow_GapTimeBefor_gap,GapTimeBefor_gap)
                .groupBy(HeartBeatRecord::getDeviceCode);
        List<HeartBeatRecord> heartBeatRecordEntities1 = heartBeatRecordMapper.selectList(wrapper1);

        for (HeartBeatRecord HeartBeatRecord : heartBeatRecordEntities1) {
            devicecodeold.add(HeartBeatRecord.getDeviceCode());
        }

        devicecodeold.remove(devicecodenow);
         System.out.println("shuaxin"+devicecodenow+"shijian"+devicecodeold+"shijian"+heartBeatRecordEntities1+"shijian"+heartBeatRecordEntities);
        for (String s : devicecodeold) {
            LambdaQueryWrapper<CollectorRegister> wrapper11 = new LambdaQueryWrapper();
            wrapper11.eq(CollectorRegister::getDeviceCode,s);
            CollectorRegister CollectorRegister = collectorRegisterMapper.selectOne(wrapper11);
            CollectorRegister.setCanStatus(0);
            collectorRegisterService.updateById(CollectorRegister);
        }


    }

}






