package com.huimv.modular.timer.tasks;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.huimv.modular.alarmrecord.entity.AlarmRecord;
import com.huimv.modular.alarmrecord.mapper.AlarmRecordMapper;
import com.huimv.modular.alarmvalueset.mapper.AlarmValueSetMapper;
import com.huimv.modular.collectorregister.entity.CollectorRegister;
import com.huimv.modular.collectorregister.mapper.CollectorRegisterMapper;
import com.huimv.modular.eartagdata.mapper.EartagDataMapper;
import com.huimv.modular.farmalarmnumber.entity.FarmAlarmNumber;
import com.huimv.modular.farmalarmnumber.mapper.FarmAlarmNumberMapper;
import com.huimv.modular.farmalarmnumber.service.FarmAlarmNumberService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class ProduceFarmAlarmNum {


    @Autowired
    private EartagDataMapper eartagDataMapper;

    @Autowired
    private AlarmValueSetMapper alarmValueSetMapper;
    @Autowired
    private CollectorRegisterMapper collectorRegisterMapper;

    @Autowired
    private FarmAlarmNumberMapper farmAlarmNumberMapper;

    @Autowired
    private FarmAlarmNumberService farmAlarmNumberService;

    @Autowired
    private AlarmRecordMapper alarmRecordMapper;


    //生成阶段的报警记录
    @Scheduled(cron = "0 */2 * * * ?")
    public void checkDeviceAble() {
        LambdaQueryWrapper<CollectorRegister> wrapper11 = new LambdaQueryWrapper();
        wrapper11.groupBy(CollectorRegister::getOrgId);
        List<CollectorRegister> collectorRegisters = collectorRegisterMapper.selectList(wrapper11);//拿到牧场信息
        for (CollectorRegister collectorRegister : collectorRegisters) {

            LambdaQueryWrapper<AlarmRecord> wrapper115 = new LambdaQueryWrapper();
            wrapper115.eq(AlarmRecord::getOrgId, collectorRegister.getOrgId());
            List<AlarmRecord> alarmRecords = alarmRecordMapper.selectList(wrapper115);//拿到牧场信息
            Map<Integer, Integer> map = new HashMap<>();
            map.put(1, 0);
            map.put(2, 0);
            map.put(3, 0);
            map.put(4, 0);
            map.put(5, 0);
            map.put(6, 0);

            for (AlarmRecord alarmRecord : alarmRecords) {
                alarmRecord.getAlarmType();
                map.put(alarmRecord.getAlarmType(), map.get(alarmRecord.getAlarmType()) + 1);
            }

            LambdaQueryWrapper<FarmAlarmNumber> wrapper116 = new LambdaQueryWrapper();
            wrapper116.eq(FarmAlarmNumber::getOrgid, collectorRegister.getOrgId());
            FarmAlarmNumber farmAlarmNumber = farmAlarmNumberMapper.selectOne(wrapper116);//拿到牧场信息

            farmAlarmNumber.setCreateTime(new Date());
            farmAlarmNumber.setDaviceAlarm(map.get(5));
            farmAlarmNumber.setDiseaseAlarm(map.get(6));
            farmAlarmNumber.setEarHightemp(map.get(1));
            farmAlarmNumber.setEarLowtemp(map.get(2));
            farmAlarmNumber.setEnvHightemp(map.get(3));
            farmAlarmNumber.setEnvLowtemp(map.get(4));
            farmAlarmNumber.setFarmName(collectorRegister.getFarmName());
            farmAlarmNumber.setFarmCode(collectorRegister.getFarmCode());
            farmAlarmNumber.setOrgid(collectorRegister.getOrgId());
            farmAlarmNumber.setRemark("ceshi");
            System.out.println(farmAlarmNumber.toString());
            System.out.println(map.toString());
            farmAlarmNumberService.updateById(farmAlarmNumber);
        }
    }
}
