package com.huimv.modular.timer.tasks;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.huimv.modular.alarmrecord.service.AlarmRecordService;
import com.huimv.modular.alarmvalueset.mapper.AlarmValueSetMapper;
import com.huimv.modular.collectorregister.entity.CollectorRegister;
import com.huimv.modular.collectorregister.mapper.CollectorRegisterMapper;
import com.huimv.modular.collectorregister.service.CollectorRegisterService;
import com.huimv.modular.eartagdata.entity.EartagData;
import com.huimv.modular.eartagdata.mapper.EartagDataMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class UpdateDeviceLastSendTime {

    @Autowired
    private EartagDataMapper eartagDataMapper   ;


    @Autowired
    private AlarmValueSetMapper alarmValueSetMapper    ;

    @Autowired
    private CollectorRegisterMapper collectorRegisterMapper    ;
    @Autowired
    private CollectorRegisterService collectorRegisterService     ;

    @Autowired
    private AlarmRecordService alarmRecordService     ;

    //生成报警记录
    @Scheduled(cron = "0 */2 * * * ?")
    public void checkDeviceAble() {

        System.out.println("更新设备最后一次上传时间");
        LambdaQueryWrapper<CollectorRegister> wrapper49 = Wrappers.lambdaQuery();
        List<CollectorRegister> list = collectorRegisterMapper.selectList(wrapper49);

        for (CollectorRegister collectorRegister : list) {
            LambdaQueryWrapper<EartagData> wrapper42 = Wrappers.lambdaQuery();
            wrapper42.eq(EartagData::getDeviceCode,collectorRegister.getDeviceCode()).orderByDesc(EartagData::getId).last("limit 1");
            EartagData eartagData = eartagDataMapper.selectOne(wrapper42);
            collectorRegister.setLastTime(eartagData.getTime());
            collectorRegisterService.updateById(collectorRegister);
        }
    }
}



















