 package com.huimv.incubator.controller;

import java.io.IOException;
import java.util.Arrays;
import java.util.Date;
import java.util.Map;

import com.huimv.incubator.entity.AgeStageTempEntity;
import com.huimv.incubator.mapper.AgeStageTempDao;
import com.huimv.incubator.result.R;
import com.huimv.incubator.service.AgeStageTempService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;


 /**
 * //怎样去区分边界不越界--可能添加区间--可能减少区间--只设置最高区间，通过idwork不相同进行分段
 *不能越界重复也不能为空
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 18:05:50
 */

@RestController
@CrossOrigin
@RequestMapping("management/agestagetemp")
public class AgeStageTempController {
    @Autowired
    private AgeStageTempService ageStageTempService;


     @Autowired
     private AgeStageTempDao ageStageTempDao  ;
    //修改温度设定
     //涉及点不多，直接放在controller之中来解决问题
     @RequestMapping("/updatevalue")
     public R updatetemp(HttpServletRequest request,
                                      @RequestParam(name = "temp") Double temp,
                                      @RequestParam(name = "id") int id,
                                      @RequestParam(name = "remark") String remark,
                                      @RequestParam(name = "age") Integer age
                                    ) throws IOException {


         LambdaQueryWrapper<AgeStageTempEntity> wrapper11 = Wrappers.lambdaQuery();
         wrapper11.eq(AgeStageTempEntity::getId , id );
         AgeStageTempEntity ageStageTempEntity1 = ageStageTempDao.selectOne(wrapper11);

         if(age<=0) { return R.error("添加的日龄不可小于0");}

         //首先校验，不能出现age不连续
         if (id == 1) {
             //找id==2皆可以
             LambdaQueryWrapper<AgeStageTempEntity> wrapper1 = Wrappers.lambdaQuery();
             wrapper1.eq(AgeStageTempEntity::getId, 2);
             AgeStageTempEntity ageStageTempEntity = ageStageTempDao.selectOne(wrapper1);
             if (ageStageTempEntity.getAge() < age) {
                 return R.error("添加的日龄参数不能大于下一阶段").put("page", ageStageTempEntity);

             }
             //都没有问题，调用修改方法
             AgeStageTempEntity ageStageTempEntity2 = updateEntity(ageStageTempEntity1, temp, remark, age);

             return R.ok().put("page", ageStageTempEntity2);
         }

         if(id ==8){
             LambdaQueryWrapper<AgeStageTempEntity> wrapper1 = Wrappers.lambdaQuery();
             wrapper1.eq(AgeStageTempEntity::getId, 7);
             AgeStageTempEntity ageStageTempEntity = ageStageTempDao.selectOne(wrapper1);
             if (ageStageTempEntity.getAge() > age) {
                 return R.error("添加的日龄参数不能大于下一阶段").put("page", ageStageTempEntity);
             }
             //都没有问题，调用修改方法
             AgeStageTempEntity ageStageTempEntity2 = updateEntity(ageStageTempEntity1, temp, remark, age);
             return R.ok().put("page", ageStageTempEntity2);

         }
         //不是1   也不是7
         LambdaQueryWrapper<AgeStageTempEntity> wrapper1 = Wrappers.lambdaQuery();
         wrapper1.eq(AgeStageTempEntity::getId, id+1);
         System.out.println("下一跳"+id+1);
         AgeStageTempEntity BIggerAgeStageTempEntity = ageStageTempDao.selectOne(wrapper1);
         LambdaQueryWrapper<AgeStageTempEntity> wrapper12 = Wrappers.lambdaQuery();
         wrapper12.eq(AgeStageTempEntity::getId, id-1);
         AgeStageTempEntity MinnerAgeStageTempEntity = ageStageTempDao.selectOne(wrapper12);
         System.out.println("上一条"+(id-1));
         if(MinnerAgeStageTempEntity.getAge()<age&age<BIggerAgeStageTempEntity.getAge() ){
             AgeStageTempEntity ageStageTempEntity2 = updateEntity(ageStageTempEntity1, temp, remark, age);
             return R.ok().put("page", ageStageTempEntity2);
         }else {
             return R.error("添加的日龄参数错误");
         }
     }




 public  AgeStageTempEntity    updateEntity(AgeStageTempEntity  ageStageTempEntity1, Double temp, String remark , int age    ){
     ageStageTempEntity1.setTemp(temp);
     ageStageTempEntity1.setRemark(remark);
     ageStageTempEntity1.setAge(age);
     ageStageTempService.updateById(ageStageTempEntity1);
     return  ageStageTempEntity1;
 }


     //对应的区间的温度---要防止区间冲突

     @RequestMapping("/list001")
     public void  list(HttpServletRequest request) {
         for (int i = 1; i < 2000  ;i++) {
             AgeStageTempEntity ageStageTempEntity = new AgeStageTempEntity();
             ageStageTempEntity.setAge(i);
             ageStageTempEntity.setCreateTime(new Date());
             ageStageTempEntity.setRemark("ceshi");
                 ageStageTempEntity.setTemp(24.5);
                 ageStageTempEntity.setStage(1);
                 ageStageTempService.updateById(ageStageTempEntity);
                 //对象
             LambdaUpdateWrapper<AgeStageTempEntity> updateWrapper = Wrappers.lambdaUpdate();
             updateWrapper.eq(AgeStageTempEntity::getId , 1);
             updateWrapper.set(AgeStageTempEntity::getId , 1);
             ageStageTempDao.update(ageStageTempEntity ,updateWrapper);
         }
     }





     /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = ageStageTempService.queryPage(params);
        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		AgeStageTempEntity ageStageTemp = ageStageTempService.getById(id);

        return R.ok().put("ageStageTemp", ageStageTemp);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody AgeStageTempEntity ageStageTemp){
		ageStageTempService.save(ageStageTemp);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody AgeStageTempEntity ageStageTemp){
		ageStageTempService.updateById(ageStageTemp);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		ageStageTempService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
