 package com.huimv.incubator.controller;

import java.util.Arrays;
import java.util.Map;

import com.huimv.incubator.entity.CollectorRegisterEntity;
import com.huimv.incubator.result.R;
import com.huimv.incubator.service.CollectorRegisterService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-11 18:05:50
  */
 @CrossOrigin
@RestController
@RequestMapping("management/collectorregister")
public class CollectorRegisterController {
    @Autowired
    private CollectorRegisterService collectorRegisterService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = collectorRegisterService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		CollectorRegisterEntity collectorRegister = collectorRegisterService.getById(id);

        return R.ok().put("collectorRegister", collectorRegister);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody CollectorRegisterEntity collectorRegister){
		collectorRegisterService.save(collectorRegister);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody CollectorRegisterEntity collectorRegister){
		collectorRegisterService.updateById(collectorRegister);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		collectorRegisterService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
