 package com.huimv.incubator.controller;

import java.util.Arrays;
import java.util.Map;

import com.huimv.incubator.entity.EnvDampnessValueEntity;
import com.huimv.incubator.result.R;
import com.huimv.incubator.service.EnvDampnessValueService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-11 18:05:50
  */
 @CrossOrigin
@RestController
@RequestMapping("management/envdampnessvalue")
public class EnvDampnessValueController {
    @Autowired
    private EnvDampnessValueService envDampnessValueService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = envDampnessValueService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		EnvDampnessValueEntity envDampnessValue = envDampnessValueService.getById(id);

        return R.ok().put("envDampnessValue", envDampnessValue);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody EnvDampnessValueEntity envDampnessValue){
		envDampnessValueService.save(envDampnessValue);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody EnvDampnessValueEntity envDampnessValue){
		envDampnessValueService.updateById(envDampnessValue);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		envDampnessValueService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
