 package com.huimv.incubator.controller;

import java.text.ParseException;
import java.util.Arrays;
import java.util.Map;

import com.huimv.incubator.entity.EnvTempValueEntity;
import com.huimv.incubator.result.R;
import com.huimv.incubator.service.EnvTempValueService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-11 18:05:50
  */
 @CrossOrigin
@RestController
@RequestMapping("management/envtempvalue")
public class EnvTempValueController {
    @Autowired
    private EnvTempValueService envTempValueService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = envTempValueService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		EnvTempValueEntity envTempValue = envTempValueService.getById(id);

        return R.ok().put("envTempValue", envTempValue);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody EnvTempValueEntity envTempValue){
		envTempValueService.save(envTempValue);

        return R.ok();
    }

    @RequestMapping("/list_deatils")
    public R listDeatils(@RequestBody Map<String, Object> params) throws ParseException {
        Map queryDetailsMap = envTempValueService.queryDetails(params);
        return R.ok().put("page", queryDetailsMap);
    }


    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody EnvTempValueEntity envTempValue){
		envTempValueService.updateById(envTempValue);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		envTempValueService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
