 package com.huimv.incubator.controller;

import java.text.ParseException;
import java.util.Arrays;
import java.util.Map;

import com.huimv.incubator.entity.IncubatorDataEntity;
import com.huimv.incubator.result.R;
import com.huimv.incubator.service.IncubatorDataService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-11 18:05:50
  */
 @CrossOrigin
@RestController
@RequestMapping("management/incubatordata")
public class IncubatorDataController {
    @Autowired
    private IncubatorDataService incubatorDataService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestBody Map<String, Object> params){
        PageUtils page = incubatorDataService.queryPage(params);

        return R.ok().put("page", page);
    }

    @RequestMapping("/list_deatils")
    public R listDeatils(@RequestBody Map<String, Object> params) throws ParseException {
        Map queryDetailsMap = incubatorDataService.queryDetails(params);
        return R.ok().put("page", queryDetailsMap);
    }


 /*
    //根据耳标电量查询
    @RequestMapping("/findByConditions")
    public R findByFarmId( @RequestParam Map<String, Object> params  ) throws ParseException {
        PageUtils byConditions = incubatorDataService.findByConditions(params);

        return R.ok().put("page", byConditions);

    }*/


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		IncubatorDataEntity incubatorData = incubatorDataService.getById(id);
        return R.ok().put("incubatorData", incubatorData);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody IncubatorDataEntity incubatorData){
		incubatorDataService.save(incubatorData);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody IncubatorDataEntity incubatorData){
		incubatorDataService.updateById(incubatorData);
        return R.ok();
    }


    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		incubatorDataService.removeByIds(Arrays.asList(ids));
        return R.ok();
    }

}
