 package com.huimv.incubator.controller;

import java.util.Arrays;
import java.util.Map;

import com.huimv.incubator.entity.IncubatorRegisterEntity;
import com.huimv.incubator.result.R;
import com.huimv.incubator.service.IncubatorRegisterService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-13 09:08:21
  */
 @CrossOrigin
@RestController
@RequestMapping("management/incubatorregister")
public class IncubatorRegisterController {
    @Autowired
    private IncubatorRegisterService incubatorRegisterService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = incubatorRegisterService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		IncubatorRegisterEntity incubatorRegister = incubatorRegisterService.getById(id);

        return R.ok().put("incubatorRegister", incubatorRegister);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody IncubatorRegisterEntity incubatorRegister){
		incubatorRegisterService.save(incubatorRegister);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody IncubatorRegisterEntity incubatorRegister){
		incubatorRegisterService.updateById(incubatorRegister);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		incubatorRegisterService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
