 package com.huimv.incubator.controller;

import java.util.Arrays;
import java.util.Map;

import com.huimv.incubator.entity.SetTempValueEntity;
import com.huimv.incubator.result.R;
import com.huimv.incubator.service.SetTempValueService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


 /**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 18:05:50
 */
 @CrossOrigin

@RestController
@RequestMapping("management/settempvalue")
public class SetTempValueController {
    @Autowired
    private SetTempValueService setTempValueService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = setTempValueService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		SetTempValueEntity setTempValue = setTempValueService.getById(id);

        return R.ok().put("setTempValue", setTempValue);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody SetTempValueEntity setTempValue){
		setTempValueService.save(setTempValue);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody SetTempValueEntity setTempValue){
		setTempValueService.updateById(setTempValue);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		setTempValueService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
