package com.huimv.incubator.service.impl;

import com.huimv.incubator.entity.EnvTempValueEntity;
import com.huimv.incubator.mapper.EnvTempValueDao;
import com.huimv.incubator.service.EnvTempValueService;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import com.huimv.incubator.socket.eartagrecive.util.Query;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.stereotype.Service;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 18:05:50
 */
@Service("envTempValueService")
public class EnvTempValueServiceImpl extends ServiceImpl<EnvTempValueDao, EnvTempValueEntity> implements EnvTempValueService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<EnvTempValueEntity> page = this.page(
                new Query<EnvTempValueEntity>().getPage(params),
                new QueryWrapper<EnvTempValueEntity>()
        );

        return new PageUtils(page);
    }


    @Override
    public Map<String, Object> queryDetails(Map<String, Object> params) throws ParseException {

        String starttime = (String) params.get("startTime");
        String endtime = (String) params.get("endTime");
        DateFormat fmt = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        //格式化传入的时间
        Date startTime = fmt.parse(starttime);
        Date   endTime = fmt.parse(endtime);
        System.out.println("yangdi"+starttime+endtime);


        LambdaQueryWrapper<EnvTempValueEntity> lambdaQuery = Wrappers.lambdaQuery();
        //时间
        lambdaQuery.between(EnvTempValueEntity::getCreateTime,startTime, endTime);
        //分成两个字段---for开销太大
        List<EnvTempValueEntity> envTempValueEntitylist = baseMapper.selectList(lambdaQuery);
        //生成平均温度 -----如果刚刚转舍就没办法操作了---数据不会立马出来需要等
        //这样，时间轴
        Map<String ,Object>    map1 = new HashMap<>();
        List<String> timeList = new ArrayList<>();
        List<String>  tempList = new ArrayList<>();



        for (EnvTempValueEntity data : envTempValueEntitylist) {
            timeList.add(fmt.format(data.getCreateTime()));
            tempList.add(data.getValue());

        }
        map1.put("time",timeList);
        map1.put("Envtemp",tempList);
        return map1;
    }

}

