package com.huimv.incubator.service.impl;

import com.huimv.incubator.entity.EnvDampnessValueEntity;
import com.huimv.incubator.entity.EnvTempValueEntity;
import com.huimv.incubator.entity.IncubatorDataEntity;
import com.huimv.incubator.entity.IncubatorRegisterEntity;
import com.huimv.incubator.mapper.EnvTempValueDao;
import com.huimv.incubator.mapper.IncubatorDataDao;
import com.huimv.incubator.mapper.IncubatorRegisterDao;
import com.huimv.incubator.service.IncubatorDataService;
import com.huimv.incubator.socket.eartagrecive.constant.PowerConstant;
import com.huimv.incubator.socket.eartagrecive.util.PageUtils;
import com.huimv.incubator.socket.eartagrecive.util.Query;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.reactive.context.ReactiveWebApplicationContext;
import org.springframework.stereotype.Service;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.xml.bind.SchemaOutputResolver;


/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 18:05:50
 */
@Service("incubatorDataService")
public class IncubatorDataServiceImpl extends ServiceImpl<IncubatorDataDao, IncubatorDataEntity> implements IncubatorDataService {

    @Autowired
    private IncubatorRegisterDao  incubatorRegisterDao  ;


    @Autowired
    private EnvTempValueDao  envTempValueDao    ;


    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<IncubatorDataEntity> page = this.page(
                new Query<IncubatorDataEntity>().getPage(params),
                new QueryWrapper<IncubatorDataEntity>()
        );
        return new PageUtils(page);
    }


    @Override
    public Map<String, Object> queryDetails(Map<String, Object> params) throws ParseException {
        String starttime = (String) params.get("startTime");
        String endtime = (String) params.get("endTime");
        DateFormat fmt = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String node_code="87021538";
        //格式化传入的时间
        Date startTime = fmt.parse(starttime);
        Date   endTime = fmt.parse(endtime);
        System.out.println("yangdi"+starttime+endtime);
        LambdaQueryWrapper<IncubatorDataEntity> lambdaQuery = Wrappers.lambdaQuery();
        //时间
        lambdaQuery.between(IncubatorDataEntity::getCreateTime,startTime, endTime);
        //分成两个字段---for开销太大
        List<IncubatorDataEntity> incubatorDataEntities = baseMapper.selectList(lambdaQuery);
        String device_code = incubatorDataEntities.get(0).getDeviceCode();
        System.out.println();
        //生成平均温度 -----如果刚刚转舍就没办法操作了---数据不会立马出来需要等
        //这样，时间轴
        Map<String ,Object>    map1 = new HashMap<>();
        List<String> timeList = new ArrayList<>();
        List<Double>  tempList = new ArrayList<>();
        List<Integer>  ecletric = new ArrayList<>();
        List<Integer>  beforeleconsum = new ArrayList<>();

        Integer powerCost =0;
        Integer beforPowerCost =0;
        Integer counter=0 ;
        for (IncubatorDataEntity data : incubatorDataEntities) {
          //  System.out.println("countbefor"+counter);
            counter++;
         //   System.out.println("countarter"+counter);
            if(counter!=0&counter!=1) {


                       /* <==        Row: 14205, hm, 9599, 87021538, 5, 42.5, 6, 5, 2021-08-12 21:17:33, 0, end, ceshi
                        <==        Row: 14206, hm, 9599, 87021538, 5, 42.5, 6, 5, 2021-08-12 21:17:46, 0, end, ceshi
                        <==        Row: 14207, hm, 9599, 87021538, 5, 42.5, 6, 5, 2021-08-12 21:17:54, 0, end, ceshi
                        <==        Row: 14208, hm, 9599, 87021538, 5, 42.5, 6, 5, 2021-08-12 21:18:03, 0, end, ceshi
                        <==        Row: 14209, hm, 9599, 87021538, 5, 42.5, 6, 5, 2021-08-12 21:18:13, 0, end, ceshi
                        <==        Row: 14210, hm, 9599, 87021538, 5, 42.5, 6, 5, 2021-08-12 21:18:23, 0, end, ceshi
                */
               // System.out.println("时间" + data.getCreateTime() + "****" + counter);
                //  int i = data.getCreateTime() - incubatorDataEntities.get(counter).getCreateTime();

               // System.out.println(incubatorDataEntities.get(counter-2));//14349    createTime=Thu Aug 12 21:45:39 CST 2021,
               // System.out.println("xianzai"+data);//14350   createTime=Thu Aug 12 21:45:47 CST 2021

                int timegap = calLastedTime( data.getCreateTime() , incubatorDataEntities.get(counter-2).getCreateTime()    );
                 //功率
                int getpower = getpower(data.getNightRank());
                Integer  eletricconsum=timegap*getpower/60/60;
                Integer beforeletricconsum= timegap*270/60/60;
                powerCost+=eletricconsum;

               // System.out.println("时间间隔="+timegap+"**"+powerCost+"**"+powerCost+"**"+powerCost);
                beforPowerCost+=beforeletricconsum;
                timeList.add(fmt.format(data.getCreateTime()));
                tempList.add(data.getTempValue());
                ecletric.add(powerCost);
                beforeleconsum.add(beforPowerCost);
            }
        }


        map1.put("time",timeList);
        map1.put("temp",tempList);
        map1.put("ecletric",ecletric);
        map1.put("beforPowerCost",beforeleconsum);

        LambdaQueryWrapper<EnvTempValueEntity> lambdaQuery2= Wrappers.lambdaQuery();
        lambdaQuery2.eq(EnvTempValueEntity::getDeviceCode,device_code).orderByAsc( EnvTempValueEntity::getId ).last( "limit 1");
        EnvTempValueEntity envTempValueEntity = envTempValueDao.selectOne(lambdaQuery2);
        map1.put("envTemp",envTempValueEntity.getValue());

        //注册信息
        LambdaQueryWrapper<IncubatorRegisterEntity > lambdaQuery1 = Wrappers.lambdaQuery();
        lambdaQuery1.eq(IncubatorRegisterEntity::getNodeCode,node_code);
        IncubatorRegisterEntity incubatorRegisterEntity = incubatorRegisterDao.selectOne(lambdaQuery1);
        map1.put("baseInfo",incubatorRegisterEntity);//

        //计算耗电量---  功率*时间   挡位---时间---耗电
        return map1;
    }

    public static int calLastedTime(Date startDate, Date endDate) {
        long a = endDate.getTime();
        long b = startDate.getTime();
        int c = (int) ((b - a) / 1000);
      //  System.out.println("时间秒数"+a+"**"+b);
        return c;
    }



    public static int getpower( int  night) {
        int power=0;
        if (night == 0) {
            power = PowerConstant.power_000;
        } else if (night == 1) {
            power = PowerConstant.power_001;
        } else if (night == 2) {
            power = PowerConstant.power_002;
        } else if (night == 3) {
            power = PowerConstant.power_003;
        } else if (night == 4) {
            power = PowerConstant.power_004;
        } else if (night == 5) {
            power = PowerConstant.power_005;
        } else if (night == 6) {
            power = PowerConstant.power_006;
        }
        return power;
    }



    }














